### Method

# Aravis FakeCamera set_fill_pattern

#### Declaration [src]

    void
    arv_fake_camera_set_fill_pattern (
      ArvFakeCamera* camera,
      ArvFakeCameraFillPattern fill_pattern_callback,
      void* fill_pattern_data
    )

#### Description [src]

Sets the fill pattern callback for custom test images.

#### Parameters

`fill_pattern_callback`

  Type: `ArvFakeCameraFillPattern`

  Callback for image filling.

`fill_pattern_data`

  Type: `void*`

  Image filling user data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.